ComponentConfigurationDTO
Date: 2016-06-25

org.osgi.service.component.runtime.dto

## Class ComponentConfigurationDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.component.runtime.dto.ComponentConfigurationDTO

-     public class ComponentConfigurationDTO
      extends org.osgi.dto.DTO

  A representation of an actual instance of a declared component description parameterized by component properties.
  Since:
    1.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTIVE` The component configuration is active.
    `ComponentDescriptionDTO` | `description` The representation of the component configuration's component description.
    `long` | `id` The id of the component configuration.
    `java.util.Map<java.lang.String,java.lang.Object>` | `properties` The component properties for the component configuration.
    `static int` | `SATISFIED` The component configuration is satisfied.
    `SatisfiedReferenceDTO[]` | `satisfiedReferences` The satisfied references.
    `int` | `state` The current state of the component configuration.
    `static int` | `UNSATISFIED_CONFIGURATION` The component configuration is unsatisfied due to a missing required configuration.
    `static int` | `UNSATISFIED_REFERENCE` The component configuration is unsatisfied due to an unsatisfied reference.
    `UnsatisfiedReferenceDTO[]` | `unsatisfiedReferences` The unsatisfied references.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentConfigurationDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSATISFIED_CONFIGURATION

          public static final int UNSATISFIED_CONFIGURATION

      The component configuration is unsatisfied due to a missing required configuration.
      See Also:
        Constant Field Values

    - #### UNSATISFIED_REFERENCE

          public static final int UNSATISFIED_REFERENCE

      The component configuration is unsatisfied due to an unsatisfied reference.
      See Also:
        Constant Field Values

    - #### SATISFIED

          public static final int SATISFIED

      The component configuration is satisfied.

      Any `services` declared by the component description are registered.

      See Also:
        Constant Field Values

    - #### ACTIVE

          public static final int ACTIVE

      The component configuration is active.

      This is the normal operational state of a component configuration.

      See Also:
        Constant Field Values

    - #### description

          public ComponentDescriptionDTO description

      The representation of the component configuration's component description.

    - #### state

          public int state

      The current state of the component configuration.

      This is one of `UNSATISFIED_CONFIGURATION`, `UNSATISFIED_REFERENCE`, `SATISFIED` or `ACTIVE`.

    - #### id

          public long id

      The id of the component configuration.

      The id is a non-persistent, unique value assigned at runtime. The id is also available as the `component.id` component property. The value of this field is unspecified if the state of this component configuration is unsatisfied.

    - #### properties

          public java.util.Map<java.lang.String,java.lang.Object> properties

      The component properties for the component configuration.
      See Also:
        `ComponentContext.getProperties()`

    - #### satisfiedReferences

          public SatisfiedReferenceDTO[] satisfiedReferences

      The satisfied references.

      Each `SatisfiedReferenceDTO` in the array represents a satisfied reference of the component configuration. The array must be empty if the component configuration has no satisfied references.

    - #### unsatisfiedReferences

          public UnsatisfiedReferenceDTO[] unsatisfiedReferences

      The unsatisfied references.

      Each `UnsatisfiedReferenceDTO` in the array represents an unsatisfied reference of the component configuration. The array must be empty if the component configuration has no unsatisfied references.

  - ### Constructor Detail

    - #### ComponentConfigurationDTO

          public ComponentConfigurationDTO()